Loading...

bongo-devel@gna.org

[Prev] Thread [Next]  |  [Prev] Date [Next]

Re: [Bongo-devel] C Programmers help please Lance Haig Wed Feb 01 07:27:38 2012

Thanks Jens,

I was hoping Alex or Pat could take a look at it when they have a chance.

My C Skill is worse that my spelling :-)

Lance

On 09/01/12 22:58, Jens wrote:
Hello,

I think the interessting part is:

/usr/bin/cmake -E cmake_progress_report 
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/CMakeFiles 14
[ 12%] Building C object src/libs/connio/CMakeFiles/bongoconnio.dir/connio.c.o
cd /home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio&&  
/usr/bin/gcc  -Dbongoconnio_EXPORTS -fstack-protector-all -Wall -Wextra -Werror 
-std=c99 -D_XOPEN_SOURCE=500 -D_POSIX_C_SOURCE=200112 -D_GNU_SOURCE -g -fPIC 
-I/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/include 
-I/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/import/log4c -I/usr/include/glib-2.0 
-I/usr/lib/glib-2.0/include -I/usr/include/gmime-2.4    -o 
CMakeFiles/bongoconnio.dir/connio.c.o   -c 
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c: In 
function '__gnutls_new':
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c:75:9: 
error: 'gnutls_set_default_export_priority' is deprecated (declared at 
/usr/include/gnutls/compat.h:324) [-Werror=deprecated-declarations]
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c:87:9: 
error: 'gnutls_certificate_type_set_priority' is deprecated (declared at 
/usr/include/gnutls/compat.h:288) [-Werror=deprecated-declarations]
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c: In 
function 'ConnStartup':
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c:136:5: 
error: 'gnutls_rsa_params_init' is deprecated (declared at 
/usr/include/gnutls/compat.h:294) [-Werror=deprecated-declarations]
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c:152:9: 
error: 'gnutls_rsa_params_import_pkcs1' is deprecated (declared at 
/usr/include/gnutls/compat.h:316) [-Werror=deprecated-declarations]
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c:155:9: 
error: 'gnutls_rsa_params_generate2' is deprecated (declared at 
/usr/include/gnutls/compat.h:305) [-Werror=deprecated-declarations]
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c: In 
function 'ConnSSLContextAlloc':
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c:204:5: 
error: 'gnutls_certificate_set_rsa_export_params' is deprecated (declared at 
/usr/include/gnutls/compat.h:327) [-Werror=deprecated-declarations]
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c: In 
function 'ConnShutdown':
/home/abuild/rpmbuild/BUILD/bongo-unstable-1356/src/libs/connio/connio.c:578:5: 
error: 'gnutls_rsa_params_deinit' is deprecated (declared at 
/usr/include/gnutls/compat.h:295) [-Werror=deprecated-declarations]
cc1: all warnings being treated as errors

I think this "all warnings being treated as errors" was added by alex to make 
sure that important warnings do not get ignored.

the following page has more 
information:http://www.gnu.org/software/gnutls/manual/html_node/Compatibility-API.html

Sadly my knowledge about all this encryption stuff is close to zero, so I am no 
real help here...

Jens



I am trying to build packages on OBS for some of the new OS's as I need them for a vm I want to build with the admin ui installed.

Unfortunately the build fails as per the attached file.

This happens for a few OS's.

Thanks

Lance


_______________________________________________
Bongo-devel mailing list
[EMAIL PROTECTED]
https://mail.gna.org/listinfo/bongo-devel


_______________________________________________
Bongo-devel mailing list
[EMAIL PROTECTED]
https://mail.gna.org/listinfo/bongo-devel